Getting Started

Use the WebDAV Provider checklist as a road map to the steps required to install and configure WebDAV Provider support for your servers and clients.

Note Before you begin any installation or upgrade, always check the FileNET Worldwide Support website for documentation updates and software patches.

Print this checklist and contact your network and database administrators for any values or settings you are unsure of.

Step | Reference
LEARNING |
View the WebDAV overview topics for general WebDAV Provider information. | WebDAV Provider Overview
View operating system Help for information on Windows 2000 Web folders support. | Windows 2000 Server Web Folders Help
View Web client (MS Office 2000 and Macromedia Dreamweaver 4) Help for information on accessing WebDAV Provider. | MS Office and Macromedia Dreamweaver 4 Help
PLANNING |
Understanding URL Navigation | Understanding URL Navigation
Requirements | Requirements
INSTALLATION |
Installing | Installing
Connecting to CS and IS Servers | Connecting to CS and IS Servers
RUNNING |
Navigating Libraries | Navigating Libraries
Creating New Folders | Creating New Folders
Renaming Folders | Renaming Folders
Deleting Folders | Deleting Folders
Adding Documents | Adding Documents
Saving Documents | Saving Documents
Copying Documents | Copying Documents
Deleting Documents | Deleting Documents


About the Documentation

The following two procedures show how you can update your WebDAV Provider documentation and obtain WebDAV Provider software patches.

Documentation Updates

To view or download an update of WebDAV Provider documentation

  1. Go to the FileNET Worldwide Support website.

  2. If you have a user name and password, enter them on the Welcome to Worldwide Customer Support page, and click Login. Then go to step 4. Please note that your user name and password are case-sensitive. If you require assistance, click Contact Us at the bottom of the web page.

  3. If you do not yet have a user name and password, click the New Users sign up link. As a new user, you need to ensure that the following conditions have been met before attempting to log in to the Web site:

    • Your company has a support contract with FileNET CSS.

    • You are an authorized customer contact for this account.

    • You have your FileNET Customer ID (CID), which you can find on FileNET correspondence, such as packing lists and invoices.

  4. Click the Product Info tab.

  5. Click the Product Documentation link.

  6. Scroll to the updated manual, help file, or readme file you want and click the link.

  7. Specify whether you want to open or download the file.

Software Patches

To download a patch

  1. Go to the FileNET Worldwide Support web site.

  2. If you have a user name and password, enter them on the Welcome to Worldwide Customer Support page, and click Login. Then go to step 4. Please note that your user name and password are case-sensitive. If you require assistance, click Contact Us at the bottom of the web page.

  3. If you do not yet have a user name and password, click the New Users sign up link. As a new user, you need to ensure that the following conditions have been met before attempting to log in to the Web site:

    • Your company has a support contract with FileNET CSS.

    • You are an authorized customer contact for this account.

    • You have your FileNET Customer ID (CID), which you can find on FileNET correspondence, such as packing lists and invoices.

  4. Highlight the Expandable Toolbox and select Download Fixes/Patches.

  5. After reading the FTP download note, click the FileNET CSS FTP Site link.

  6. Open the Hotfixes folder.

  7. Double-click the link for the product you want (for example: IDMDocServices.html for IDM Document Services and/or Content Services products).

  8. Double-click the version folder for the patch you want.

  9. Double-click the HTM readme file for the download and installation instructions.

Reader Comments

If you have comments, questions, or suggestions regarding this documentation, we in FileNET Technical Publications will be happy to respond. Please write or call:

FileNET Corporation
720 4th Avenue, Suite 100
Kirkland, Washington 98033
(425) 893-7000

Documentation Formats and Editions

The Content Services documentation is provided in two formats. Content in each format is identical.

  • The Compiled HTML Help (*.chm) files are optimized for viewing with Microsoft Internet Explorer 5.0 or later. These files can be viewed with Internet Explorer 4.0/SP1, however you may experience some display anomalies such as:

    • Vertical spacing problems when printing

    • Sublists may not indent properly when the list item wraps

    • Some special characters (such as the Euro character) will not display or print

  • The Portable Document Format (*.pdf) files are optimized for viewing with Adobe Acrobat Reader 4.0 or later. These files are provided for users who do not have Internet Explorer installed or who wish to print the documentation in book format. These files are created with compatibility set for Acrobat 4.x. There are known problems (such as some characters and graphics dropping out) associated with viewing them using earlier versions of the Acrobat Reader.

Typographical Conventions

The WebDAV Provider documentation uses these conventions to distinguish elements of text.

Convention | Usage
UPPERCASE | Environment variables, status codes, utility names.
Bold | Paths and file names, program names, and selected terms such as command parameters or environment variables that require emphasis.
Italic | User-supplied variables and new terms introduced in text.
Monospace | Code samples, examples, display text, and error messages.

Software Numbers

Software Release: 6.0

Information in this document is subject to change without notice. The software described herein is furnished under license and maintenance agreements, and it may be used or copied only in accordance with the terms of the agreements. No part of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying, recording, or information storage or retrieval systems, for any purpose other than the purchaser's personal use without the express written permission of FileNET Corporation.

Trademarks

Panagon is a trademark of FileNET Corporation. Microsoft and Windows are registered trademarks and Windows NT, Windows 95, Windows 98, and Internet Explorer are trademarks of Microsoft Corporation. Netscape and Netscape Navigator are registered trademarks of Netscape Communications Corporation. All other products mentioned are trademarks or registered trademarks of their respective manufacturers.

Copyright

© 2001 FileNET Corporation. All rights reserved.
Portions © 1984, 2001 Fulcrum Technologies, Incorporated. All rights reserved.


Current Notices

The latest product notices can be found on the FileNET Worldwide Support web site. Refer to About the Documentation for instructions on how to access updated WebDAV Provider documentation.


Installation Guide

The WebDAV Provider Installation Guide contains:

  • Requirements

  • Supported Clients

  • Removing FrontPage Server Extensions

  • Installing

  • Connecting to CS or IS Servers

  • Uninstalling


Requirements

Web Client Hardware Requirements

  • 90 Mhz Pentium PC

  • 32 MB RAM minimum, 64 MB RAM recommended

  • 33 MB hard disk space

  • Monitor with color set to 16 bit or higher, resolution set to 800 x 600 or higher.

Web Client Software Requirements

Web clients must be in the same domain as the web server, where the WebDAV Provider is installed. Individual users must have security authorization to the libraries to which they want to connect.

There are no FileNET software components required for setting up or using WebDAV Provider on client machines. The only software requirement on the client is the presence of WebDAV Provider which are supported in the following:

  • Microsoft Windows 2000 Professional + SP2

  • Microsoft Windows 2000 Server family + SP2

  • Microsoft Office 2000

  • Dreamweaver 4.01

  • Adobe GoLive 6.0

Notes Default security for Dreamweaver is Basic Authentication. You can enable Digest Authentication with Reversible Encryption to ensure a more secure environment.

Dreamweaver and GoLive are only supported for CS libraries.

Web Server Hardware Requirements

  • 266 Mhz Pentium II PC

  • 128 MB RAM

  • 177 MB hard disk space; 315 MB hard disk space to support all options

Web Server Software Requirements

  • Microsoft Windows 2000 Server

  • Microsoft Internet Information Server (IIS) 5.0

  • Microsfot Windows 2000 Service Pack 2

  • Microsoft XML Parser Version 3 SP 2

  • FileNET Panagon Web Services 3.1 or higher

  • FileNET Panagon Content Services (CS) Client Libraries 5.2

Note You are only required to install the Content Services client libraries if you will be connecting to a CS 5.2 library.


Supported Clients

The following WebDAV Provider clients are currently supported in the Panagon Web Services environment:

  • Adobe GoLive 6.0

  • Macromedia Dreamweaver 4.01

  • Microsoft Internet Explorer 5.0, 5.01, and 5.5

  • Microsoft Office 2000

  • Microsoft Windows 2000 Web Folders


Removing FrontPage Server Extensions

FrontPage server extensions must be removed from your IIS server. WebDAV Provider will not work if the extensions are enabled. You can disable the extensions by doing one of the following:

  • Manually remove the extensions from the server.

  • Manually remove server extensions from the default web site.

The following procedure is organized into two sections. Each section contains different steps for removing the extensions from your IIS server. Refer to the section that works best for you.

To remove FrontPage server extensions

Remove FrontPage 2000 Server Extensions option

  1. From the Control Panel, click Add/Remove Programs.

  2. Select Add/Remove Windows Components.

  3. From the list, select Internet Information Services (IIS).

  4. Click Details.

  5. Clear the FrontPage 2000 Server Extensions option.

  6. Click OK, and then Next.

  7. Click Finish, and then restart Web Services.

Remove server extensions from the default web site

  1. From the taskbar, click Start, point to Programs, and then click Administrative Tools.

  2. Point to Internet Service Manager.

  3. Right-click Default Web Site.

  4. Click All Task, and then Remove Server Extensions.

  5. Click OK, and then restart Web Services.


Installing

To install WebDAV Provider

  1. Close all active programs, including virus protection software and the Microsoft Office Toolbar.

  2. Insert the CD labeled "WebDAV Provider".

  3. If autorun is enabled the WebDAV Provider setup screen displays. Otherwise, run Setup.exe from the root directory of the CD.

  4. From the setup window, click Next to start the installation.

  5. Accept the license agreement to continue, and then click Next.

    The FrontPage Server Extensions dialog box appears if you have not removed the extensions from your web server. Refer to Removing FrontPage Server Extensions. Remove the extensions before continuing with the installation.

  6. Choose Complete or Custom for the type of setup you want to install, and then click Next.

  7. Enter your root folder name and confirm the folder location in which the application is being installed, and then click Next.

    You can click Change to select a different folder location.

  8. Confirm the temporary folder location in which the application is being installed, and then click Next.

    You can click Change to select a different folder location.

  9. Click Install to begin the installation.

  10. When the installation is complete, click Finish.


Connecting to CS or IS Servers

To access a library, you must first create a Network Place from your client machine.

You can connect to a library using Windows Explorer. Once you make a connection, you can access the library from a WebDAV client. From the WebDAV client, you can create, add, delete, or rename folders and documents stored on the libraries.

Note Confirm the CS and IS servers to which you are connecting are configured to accept Network Logons.

If you are connecting to the servers using Dreamweaver, refer to your Dreamweaver documentation.

To connect to a library

  1. From your client machine, open Windows Explorer, and then right-click My Network Places.

  2. Select Add Network Drive, and then click Create a shortcut to a Web folder of FTP site option in the Add Network Drive dialog box. The Add Network Place Wizard dialog box appears.

  3. In the Type the location of the Network Place box, enter the location of your library. Refer to the following formats for entering the correct location of a CS or IS library.

    • If you are connecting to a CS library, use the following format:

      http://WebDAV Server name/Virtual Root/Library name@Content Services Server name

    • If you are connecting to an IS library, use the following format:

      http://WebDAV Server name/Virtual Root/Image Services Domain@Image Services Organization name

  4. Enter a name for your Network Place, and then click Finish.

  5. Open a WebDAV client, such as an Office 2000 application.

  6. From the File menu, click Open.

  7. In the Open dialog box, select Add Network Places in the Look In box.

    If the network share to which you are connecting is valid, a dialog box displaying the Network Place that was just created is displayed with an icon for each of the libraries that are available.

  8. Double-click the library you want to open. A list of folders stored in the library appear.


Uninstalling

To uninstall WebDAV Provider

  1. From your Control Panel, double-click Add/Remove Programs.

  2. Highlight WebDAV Provider, and then click Remove.

    The application is removed from your web server.


User's Guide

The WebDAV Provider User's Guide contains:

  • WebDAV Provider Overview

  • Understanding WebDAV Provider

  • Understanding URL Navigation

  • Navigating Libraries

  • Working with Folders

  • Working with Documents


WebDAV Provider Overview

WebDAV Provider provides access to Content Services (CS) and Image Services (IS) libraries from a client machine without additional FileNET-specific software on that machine.

You can manage documents and access servers from remote web locations and perform limited document management tasks from a client machine on which a supported WebDAV Provider client is installed. Refer to Supported Clients.

Once WebDAV Provider is installed on your web server, a connection to a CS and IS library is required. During the connection process, you create a shortcut to each library. The shortcut is also referred to as a web folder. The shortcut appears on a client machine's desktop and in My Network Places in Windows Explorer. You can double-click the icon from Windows Explorer or from within an application to open a library and access folders and documents stored on the library.


Understanding WebDAV Provider

The document management tasks you can perform are limited. When you open a file in an Office application or Dreamweaver, the WebDAV Provider places a lock on the file preventing other WebDAV Provider users from gaining write access, moving, or deleting the file.

In Dreamweaver, you must select Check Out from a file's context menu to explicitly request that the WebDAV Provider lock the file.

Note You can only perform document management tasks on CS documents. IS does not support modifying documents. You will get an error message if you try to save an existing IS document.

The WebDAV Provider lock is independent from checkouts performed in IDM Desktop or Web Services. You can still use IDM Desktop or Web Services to check out a file that has a WebDAV Provider lock on it.

When you save the file using an Office application, the file is checked out, a new version checked in, and the lock is removed. In Dreamweaver, you must select Check In from the file's context menu. This procedure checks out the file, checks in the new version, and then removes the WebDAV lock.

If you close the document without saving it, you are cancelling the checkout and any changes you made to the document are not saved.

You cannot retrieve previous versions of a document. The most recent version is the only document you can access. Version history on objects such as folders or files are available only from Panagon Web Services.

Note The AutoSave or AutoRecover feature in some applications does not replace the Save command. The feature does not create a new version each time it is used.


Understanding URL Navigation

If you are using IE, you can traverse a library by using the same address as you specified for the Network Place. Once you connect to a library you a text display of files and folders appear. Follow the links to traverse the library. Use the back button to move up.


Navigating Libraries

After you are connected to a library, you can navigate from your client machine to the folders and documents stored on a library. Refer to Connecting to CS or IS Servers.

To navigate libraries

  1. Open your My Network Places dialog box by doing one of the following:

    • Double-click the My Network Places icon on your desktop.

    • From Windows Explorer, double-click My Network Places

    • From within an application, open or save a document. The Open or Save dialog box appears. Click the My Network Places icon.

    A list of libraries are displayed.

  2. Double-click the library you want to open. A list of folders and documents are displayed.

  3. Double-click the folder or document in which you want to work.


Working with Folders

The Working with Folders section contains the following topics:

  • Creating New Folders

  • Copying Folders

  • Renaming Folders

  • Deleting Folders


Creating New Folders

Make sure you are connected to a library before you create new folders on your client machine's desktop.

Notes If you are creating folders in an IS library, do not embed spaces in the folder names. IS does not support embedded spaces. In addition, creating IS folders through Windows Explorer embeds a space in the folder name. Windows Explorer creates folders with the default name "New Folder," which contains an embedded space. To avoid this problem, create an IS folder using Dreamweaver.

You can enter a maximum of 32 characters for a CS folder name. The maximum number of characters for an IS folder name is 18.

To create new folders

  1. Navigate to the library in which you want to add a new folder. Refer to Navigating Libraries.

  2. Right-click the library, point to New, and then click Folder.

  3. Enter a name for the new folder. The new folder name is displayed.

    Note Avoid using extended characters in your folder names if you are using Dreamweaver. The characters do not display correctly in Dreamweaver.


Copying Folders

Copy Folders

To copy folders

  1. Navigate to the library that contains the folder you want to copy. Refer to Navigating Libraries.

  2. Locate and right-click the folder you want to copy, and then click Copy.

  3. Open the My Network Place dialog box and locate the library and folder in which to place the copy.

  4. Right-click the My Network Place dialog box, and then click Paste.


Renaming Folders

You must have at least Author access to rename a CS folder. You cannot rename an IS folder.

Note You can enter a maximum of 32 characters for a folder name.

To rename folders

  1. Navigate to the library that contains the folder you want to rename. Refer to Navigating Libraries.

  2. Highlight and right-click the folder you want to rename, and then click Rename.

  3. Enter a new name for the folder.

    Note Avoid using extended characters in your folder names if you are using Dreamweaver. The characters do not display correctly in Dreamweaver.


Deleting Folders

To delete folders

You must have at least Owner access to delete a CS folder. You must belong to a group whose security is set to ANYONE or SysAdminG to delete an IS folder.

Note All folders and documents stored in a folder are also deleted.

  1. Navigate to the library that contains the folder you want to delete. Refer to Navigating Libraries.

  2. Highlight and right-click the folder you want to delete.

  3. Select Delete, and then click Yes to confirm the deletion.


Working with Documents

The Working with Documents section contains the following topics:

  • Adding Documents

  • Opening Documents

  • Modifying Documents

  • Copying Documents

  • Saving Documents

  • Deleting Documents


Adding Documents

You can add documents to folders stored in a library from the client machine or by adding files from Windows Explorer or My Computer.

Refer to the documentation from your specific client interface for questions regarding adding documents to the folders within your Network Place.

Note Avoid using extended characters in your document names if you are using Dreamweaver. The characters do not display correctly in Dreamweaver.

To add documents

You can add a new document by using the application's Save or Save As function to save it to a Web folder location.

  1. Open your document in an application.

  2. From the File menu, click Save As, and then double-click the My Network Places icon.

  3. Double-click the library that contains the folder in which you want to store your document.

  4. Open the folder, and then click Save. Your document is added to the library.


Opening Documents

  1. Navigate to the library that contains the document you want to open. Refer to Navigating Libraries.

  2. Open the folder that contains the document, and then select the document. The document opens in its registered application.


Modifying Documents

Note You cannot modify IS documents. IS does not support this feature.

To modify documents

  1. Navigate to the library that contains the document you want to modify. Refer to Navigating Libraries.

  2. Open the document. Refer to Opening Documents.

  3. Modify the document, and then save it. Refer to Saving Documents.


Copying Documents

To copy documents

  1. Navigate to the library that contains the document you want to copy. Refer to Navigating Libraries.

  2. Locate and highlight the document, and then select a folder in which to store your copy.

  3. Right-click the document and then click Copy.

  4. Open the My Network Place dialog box and locate the library and folder in which to place the copy.

    If you need to create a new folder refer to Creating New Folders.

  5. Right-click the My Network Place dialog box, and then click Paste.


Saving Documents

You can save a modified document back to a folder from within an application. This creates a new version of the document in which a library can track. The folder interface, however, does not provide information about versioning. Only the most recent version is provided to the folder.

System administrators can protect documents from being modified by marking them Read-only.

Refer to the documentation from your specific client interface for questions regarding saving modified objects back into folders within your Network Place.

Note The AutoSave or AutoRecover feature in some applications does not replace the Save command. The feature does not create a new version each time it is used.

You cannot modify and save an IS document.

To save documents

  1. Open your document in its registered application, such as Microsoft Word.

  2. From the File menu, click Save As.

  3. In the Save As dialog box, click the My Network Places icon.

  4. Double-click the library that contains the folder in which you want to store your document. A list of available folders and documents are displayed.

  5. Open the folder in which you want to save your document, and then click Save.

    Note Avoid using extended characters in your document names if you are using Dreamweaver. The characters do not display correctly in Dreamweaver.

  6. Click Yes to confirm the save and overwrite the existing document.


Deleting Documents

To delete an document from an open folder, highlight the folder or document and delete it. This action removes the document from the library. Administrators can prevent documents from being deleted by marking them read-only.

Refer to the documentation from your specific client interface for questions regarding deleting documents from folders within your Network Place.

Note The delete option deletes all objects that were selected. If folders and sub-folders are selected, the contents of those objects are also deleted.

To delete documents

  1. Navigate to the library that contains the document you want to delete. Refer to Navigating Libraries.

  2. Highlight the document you want to delete.

  3. Right-click the document, and then click Delete.

  4. Click Yes to confirm the deletion.


Troubleshooting Guide

Troubleshooting topics discuss common problems you may come across while using WebDAV Provider. These topics include:

  • Connection Issues

  • Document Issues

  • Folder Issues


Connection Issues

I cannot connect to WebDAV. How do I resolve this?

Refer to the following sections to see if the suggestions resolve this problem.

  • FrontPage Server Make sure you disable or remove the FrontPage Server extensions on your IIS machine. Refer to Removing FrontPage Server Extensions.

  • CS 5.2 Server If you are trying to connect to a CS 5.2 server, make sure you installed the CS 5.2 client dlls on your web server.

  • General Web Server Information Confirm your web server is registered in a domain. This allows trusted domain access to network accounts.

  • IDM Desktop If you are using IDM Desktop, check the following:

    • Make sure the Set default preferences for new users option is selected when you configure a library.

    • Make sure the Use operating system credentials for logon option is enabled when you configure a library. This option is located under the Additional Preferences feature.

    • On the client machine, make sure you logged on as a domain account.


Document Issues

I added a document to the IS library. In Windows Explorer, the time displayed next to the document says 12:00 AM. That's the wrong time. How do I resolve this?

IS only stores the date in which you added the document to the library. 12:00AM is the default time it assigns to all documents that are added.

Why can't I rename my IS documents?

You can only rename CS documents.

Why can't I modify and save changes to an IS document?

IS does not support modifying documents.

I opened an IS folder, but I can't find my annotations in an IS document.

If your IS document is annotated, the annotations are not displayed in an IS folder. You can only view your annotations in the IDM Viewer.

The characters in my document name do not appear correctly in Dreamweaver. What should I do?

Do not use extended characters in your document name if you are using Dreamweaver. Extended characters do not display correctly in Dreamweaver.


Folder Issues

I get an error when I'm working with folders on an IS server. How do I resolve this?

If you are creating folders on an IS server, do not embed spaces in the folder names. IS does not support embedded spaces. Remove the spaces from the folder name.

If you are dragging and dropping a folder from outside the IS library, make sure there are no spaces in the folder name. The embedded spaces will cause the error.

Creating IS folders through Windows Explorer embeds a space in the folder name. Windows Explorer creates folders with the default name "New Folder," which contains an embedded space. To avoid this problem, create IS folder using Dreamweaver.

Why can't I access a folder?

Confirm you have the appropriate access rights to the folder. You must have at least Viewer access to a CS folder to view a folder. You must belong to a group whose security is set to ANYONE or AUDITG to view an IS folder.

Refer to your CS or IS documentation for more security information.

The characters in my folder name do not appear correctly in Dreamweaver. What should I do?

Do not use extended characters in your folder name if you are using Dreamweaver. Extended characters do not display correctly in Dreamweaver.